Bug 1954759 - Resolution fails to sort channel if inner entry does not satisfy predicate
Summary: Resolution fails to sort channel if inner entry does not satisfy predicate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.6.z
Assignee: Ben Luddy
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On: 1951232
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-28 18:14 UTC by OpenShift BugZilla Robot
Modified: 2021-05-20 11:52 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-20 11:52:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 2123 0 None open [release-4.6] Bug 1954759: Fix resolution error if inner entry doesn't provide a required API. 2021-04-30 17:38:09 UTC
Red Hat Product Errata RHBA-2021:1521 0 None None None 2021-05-20 11:52:31 UTC

Comment 3 Jian Zhang 2021-05-11 03:38:08 UTC
mac:openshift-tests-private jianzhang$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.nightly-2021-05-08-154328   True        False         68m     Cluster version is 4.6.0-0.nightly-2021-05-08-154328

1, Install Hive and Assisted service operators in the "assisted-installer" namespace.
mac:openshift-tests-private jianzhang$ oc project
Using project "assisted-installer" on server "https://api.ci-ln-ks0njpk-f76d1.origin-ci-int-gce.dev.openshift.com:6443".

mac:openshift-tests-private jianzhang$ oc get sub
NAME                        PACKAGE                     SOURCE                CHANNEL
assisted-service-operator   assisted-service-operator   community-operators   alpha
hive-operator               hive-operator               community-operators   alpha

mac:openshift-tests-private jianzhang$ oc get ip
NAME            CSV                                APPROVAL    APPROVED
install-fbgvm   assisted-service-operator.v0.0.2   Automatic   true
install-p2rfq   hive-operator.v1.1.2               Automatic   true

mac:openshift-tests-private jianzhang$ oc get csv
NAME                               DISPLAY                      VERSION   REPLACES                           PHASE
assisted-service-operator.v0.0.2   Assisted Service Operator    0.0.2     assisted-service-operator.v0.0.1   Succeeded
hive-operator.v1.1.2               Hive for Red Hat OpenShift   1.1.2     hive-operator.v1.1.1               Succeeded

mac:openshift-tests-private jianzhang$ oc get pods
NAME                                         READY   STATUS    RESTARTS   AGE
assisted-service-operator-58bd4c9c86-r76r2   1/1     Running   0          2m37s
hive-operator-654f9b696b-4phrq               1/1     Running   0          3m37s

mac:openshift-tests-private jianzhang$ oc get event -n default |grep multi
mac:openshift-tests-private jianzhang$ 

Both of them can be installed successfully, and no mutilple channel heads warnings, LGTM, verify it.

Comment 5 errata-xmlrpc 2021-05-20 11:52:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.29 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1521


Note You need to log in before you can comment on or make changes to this bug.